<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">亚克力</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="UV打印亚克力"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search lay-filter="kind">
                    <option value="0.7MM透明亚克力(市场1mm)">1MM透明亚克力</option>
                    <option value="1.8MM透明亚克力(市场2mm)">2MM透明亚克力</option>
                    <option value="2.3MM透明亚克力(市场3mm)">3MM透明亚克力</option>
                    <%--                    <option value="3MM透明亚克力(实厚3mm)">3MM透明亚克力</option>--%>
                    <option value="4.2MM透明亚克力(市场5mm)">5MM透明亚克力</option>
                    <%--                    <option value="5MM透明亚克力(实厚5mm)">5MM透明亚克力</option>--%>
                    <option value="7.2MM透明亚克力(市场8mm)">8MM透明亚克力</option>
                    <option value="1.8MM瓷白亚克力(市场2mm)">2MM瓷白亚克力</option>
                    <option value="2.3MM瓷白亚克力(市场3mm)">3MM瓷白亚克力</option>
                    <option value="4.2MM瓷白亚克力(市场5mm)">5MM瓷白亚克力</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米)
            </p>
            <div class="layui-form-item" id="ui_size">
                <input type="text" name="size" placeholder="格式:长*宽" id="size" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量(个)
            </p>

            <div class="layui-form-item">
                <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input" autocomplete="off">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block ">
                    印面工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="不印面" title="不印面">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked>
                    <div class="layui-inline ymshuang" style="display: none">
                        <input type="checkbox" name="craft" lay-filter="ui_craft" value="双面" title="双面">
                    </div>
                </div>
                <div class="layui-input-block dyxg">
                    打印效果：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="背喷全打白" title="背喷全打白" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="透明打白" title="透明打白">
                </div>

                <div class="layui-input-block bf3m">
                    背覆工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="3m胶" title="3m胶">
                </div>
                <div class="layui-input-block">
                    打孔工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="打孔" title="打孔">
                    <div class="layui-inline dakong" style="display: none;width: 120px">
                        <input type="text" class="layui-input" name="pcount" placeholder="打孔个数" value="1"/>
                    </div>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="广告钉" title="广告钉">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="镜钉" title="镜钉">
                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        const carft_list1 = ["不印面", "单面", "双面"];
        const carft_list2 = ["背喷全打白", "透明打白"];
        const carft_list3 = ["广告钉", "镜钉"];
        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";

        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();

        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('select[name="kind"] oprion:selected').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        form.on('select(kind)', function (data) {

            $(".dyxg").find(":input").attr("disabled", false);
            $("#z4_craft input[name='craft']").prop("checked", false)
            $("#z4_craft input[name='craft'][value='单面']").prop("checked", true)
            $("#z4_craft input[name='craft'][value='背喷全打白']").prop("checked", true)
            $(".ymshuang").hide();
            $(".dakong").hide();
            $(".dakong").find(":input").attr("disabled", true);
            $(".bf3m").show();
            $(".dyxg").show();
            if (data.value == "1.8MM瓷白亚克力(市场2mm)" || data.value == "2.3MM瓷白亚克力(市场3mm)" || data.value == "4.2MM瓷白亚克力(市场5mm)") {
                $(".ymshuang").show();
                $(".dyxg").hide();
                $(".dyxg").find(":input").attr("disabled", true);
            }
            if (data.value == "7.2MM透明亚克力(市场8mm)") {
                $(".bf3m").hide();
            }
            form.render();
        })

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("印面工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            if (carft2.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("打印效果不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft3 = carft_list3.filter(craft => craft_list.includes(craft));
            if (carft3.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg(carft_list3.join("-") + "不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }

            if (data.value == "打孔") {
                if (data.elem.checked) {
                    $(".dakong").show();
                    $(".dakong").find(":input").attr("disabled", false);
                } else {
                    $(".dakong").hide();
                    $(".dakong").find(":input").attr("disabled", true);
                }
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count option:selected").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];
            if ($("input[name='switchCount']").is(":checked")) {
                count = $("#count").val();
            }
            if (size == "") {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "打孔") {
                        craft.push($(this).val() + $("input[name='pcount']").val())
                    } else if ($(this).val() == "抠图") {
                        craft.push($(this).val() + $("input[name='cropNumber']").val());
                    } else {
                        craft.push($(this).val());
                    }
                }
            });
            if (kind == "2MM瓷白亚克力" || kind == "3MM瓷白亚克力" || kind == "5MM瓷白亚克力") {

                if (craft.includes("单面") || craft.includes("双面")) {
                    craft.push("正喷")
                }
            }

            const carft3 = carft_list3.filter(item => craft.includes(item));
            if (carft3.length > 0 && !$("input[name='craft'][value='打孔']")[0].checked) {
                layer.msg("钉子选择需选中打孔！", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }


            if ((size.split("*")[0] > 60 || size.split("*")[1] > 60)) {
                layer.msg("最大尺寸不能大于60*60", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((size.split("*")[0] < 2.4 || size.split("*")[1] < 2.4)) {
                layer.msg("最小尺寸不能小于2.4*2.4", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '亚克力 - ' + kind + ' - ' + size + ' cm (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    })
    ;
</script>
</html>